import java.util.ArrayList;

/**
 * Classe Porta.
 */
public class Porta extends Elemento {
    ArrayList<Serratura> serrature;
    //boolean aperta;
    
    /**
     * Crea una porta generica.
     */
    public Porta()    {
        super("una porta", "una porta");
        serrature = new ArrayList<Serratura>();
        //aperta = false;
    }
    
    /**
     * Crea una porta con una descrizione e una descrizione lunga
     * personalizzate.
     */
    public Porta(String descrizione, String descrizioneLunga) {
        super(descrizione, descrizioneLunga);
        serrature = new ArrayList<Serratura>();
        //aperta = false;
     }

     /**
      * Aggiunge la Serratura serratura alla porta.
      */
     public void aggiungi(Serratura serratura) {
         serrature.add(serratura);
     }
     
     /**
      * Restituisce true se la porta  aperta, false altrimenti.
      */
     public boolean isAperta() {
         // Scandisco tutte le serrature per 
         // verificare se la porta  aperta o chiusa.
         boolean aperta = true;
         for (Serratura serratura: serrature)
            if (!serratura.isAperta())
                aperta = false;
         return aperta;
     }
     
     public void apri(Chiave chiave) {
         for (Serratura serratura: serrature)
            serratura.apri(chiave);
     }
}
